package com.ruoyi.llm.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.llm.mapper.CmcDocumentMapper;
import com.ruoyi.llm.domain.CmcDocument;
import com.ruoyi.llm.service.ICmcDocumentService;

/**
 * cmc聊天附件Service业务层处理
 * 
 * @author cmc
 * @date 2025-04-08
 */
@Service
public class CmcDocumentServiceImpl implements ICmcDocumentService 
{
    @Autowired
    private CmcDocumentMapper cmcDocumentMapper;

    /**
     * 查询cmc聊天附件
     * 
     * @param documentId cmc聊天附件主键
     * @return cmc聊天附件
     */
    @Override
    public CmcDocument selectCmcDocumentByDocumentId(String documentId)
    {
        return cmcDocumentMapper.selectCmcDocumentByDocumentId(documentId);
    }

    /**
     * 查询cmc聊天附件列表
     * 
     * @param cmcDocument cmc聊天附件
     * @return cmc聊天附件
     */
    @Override
    public List<CmcDocument> selectCmcDocumentList(CmcDocument cmcDocument)
    {
        return cmcDocumentMapper.selectCmcDocumentList(cmcDocument);
    }

    /**
     * 新增cmc聊天附件
     * 
     * @param cmcDocument cmc聊天附件
     * @return 结果
     */
    @Override
    public int insertCmcDocument(CmcDocument cmcDocument)
    {
        return cmcDocumentMapper.insertCmcDocument(cmcDocument);
    }

    /**
     * 修改cmc聊天附件
     * 
     * @param cmcDocument cmc聊天附件
     * @return 结果
     */
    @Override
    public int updateCmcDocument(CmcDocument cmcDocument)
    {
        return cmcDocumentMapper.updateCmcDocument(cmcDocument);
    }

    /**
     * 批量删除cmc聊天附件
     * 
     * @param documentIds 需要删除的cmc聊天附件主键
     * @return 结果
     */
    @Override
    public int deleteCmcDocumentByDocumentIds(String[] documentIds)
    {
        return cmcDocumentMapper.deleteCmcDocumentByDocumentIds(documentIds);
    }

    /**
     * 删除cmc聊天附件信息
     * 
     * @param documentId cmc聊天附件主键
     * @return 结果
     */
    @Override
    public int deleteCmcDocumentByDocumentId(String documentId)
    {
        return cmcDocumentMapper.deleteCmcDocumentByDocumentId(documentId);
    }
}
